/*
 * $Id: mod_ntlm.h,v 1.3 2003/02/21 01:55:14 casz Exp $
 *
 */

/* Preprocessor macro definitions */
#define NTLM_PACKAGE_NAME "NTLM"
#define NTLM_AUTH_NAME "NTLM"

/* Header inclusions */
#include "httpd.h"
#include "http_config.h"
#include "http_core.h"
#include "http_log.h"
#include "http_protocol.h"

#include "smbval/valid.h"

module MODULE_VAR_EXPORT ntlm_module;

typedef struct ntlm_config_struct {
    unsigned int ntlm_on;
    unsigned int ntlm_basic_on;
    char *ntlm_basic_realm;
    unsigned int ntlm_authoritative;
    char *ntlm_domain;
    char *ntlm_server;
    char *ntlm_backup;
    char *ntlm_grpfile;
} ntlm_config_rec;

typedef struct ntlm_connection_struct {
    void *handle;
    char *nonce;
    char *user;
    char *domain;
    char *password;
    int auth_ok;
    unsigned int ntlmssp_flags;
} ntlm_connection_rec;
